Uploaded image for project: 'Okapi'
  1. Okapi
  2. OKAPI-885

Warning issued: sun.reflect.Reflection.getCallerClass is not supported

    XMLWordPrintable

Details

    • CP: sprint 97
    • Core: Platform

    Description

      Upon start of okapi-core and other okapi test modules, the following warning is issued:

      WARNING: sun.reflect.Reflection.getCallerClass is not supported. This will impact performance.
      

      Desired behavior is to prevent this from happening.

      Appears after upgrade to OpenJDK 11 (with log4j2). Seems to affect all RMB based modules too (when they start to use OpenJDK 11).

      TestRail: Results

        Attachments

          Issue Links

            Activity

              People

                adam Adam Dickmeiss
                adam Adam Dickmeiss
                Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                  Created:
                  Updated:
                  Resolved:

                  TestRail: Runs

                    TestRail: Cases